/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.casemechanicalnorm.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.casemechanicalnorm.entity.CaseMechanicalNorm;
import com.jeeplus.modules.casemechanicalnorm.dao.CaseMechanicalNormDao;

/**
 * 机械消耗量指标Service
 * @author liuw
 * @version 2018-02-07
 */
@Service
@Transactional(readOnly = true)
public class CaseMechanicalNormService extends CrudService<CaseMechanicalNormDao, CaseMechanicalNorm> {

	public CaseMechanicalNorm get(String id) {
		return super.get(id);
	}
	
	public List<CaseMechanicalNorm> findList(CaseMechanicalNorm caseMechanicalNorm) {
		return super.findList(caseMechanicalNorm);
	}
	
	public Page<CaseMechanicalNorm> findPage(Page<CaseMechanicalNorm> page, CaseMechanicalNorm caseMechanicalNorm) {
		return super.findPage(page, caseMechanicalNorm);
	}
	
	@Transactional(readOnly = false)
	public void save(CaseMechanicalNorm caseMechanicalNorm) {
		super.save(caseMechanicalNorm);
	}
	
	@Transactional(readOnly = false)
	public void delete(CaseMechanicalNorm caseMechanicalNorm) {
		super.delete(caseMechanicalNorm);
	}
	
	
	
	
}